> For the complete documentation index, see [llms.txt](https://developers-apps-in-toss.toss.im/llms.txt). Markdown versions of documentation pages are available by appending `.md` to page URLs; this page is available as [Markdown](https://developers-apps-in-toss.toss.im/documentation/api-and-sdk-en/sdk/domains-api/tossauth/tossauth.sign.md).

# TossAuth.sign

> Functional API `appsInTossSignTossCert`You can use the same function with this as well.

### Feature description

Sign using a Toss certificate. `txId`is the Transaction ID used for identity verification, simple authentication, and electronic signatures with a Toss certificate.

Toss app Android/iOS `5.233.0` It can be used in versions at or above this one. If called in an unsupported version, `UNSUPPORTED_APP_VERSION` an error occurs.

### Type

```ts
TossAuth.sign(params: AppsInTossSignTossCertParams): Promise<void>;
```

**Params**

```ts
type AppsInTossSignTossCertParams = {
  txId: string;
};
```

**Response**

None

### Error code

The error code is the `error.code` value.

| Code                      | Description                                                                                                                                                                                                                         |
| ------------------------- | ----------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------- |
| `UNSUPPORTED_APP_VERSION` | If the running Toss app version does not support this feature, it occurs immediately upon calling. `TossAuth.sign.isSupported()`Check in advance with, and if it occurs `error.message`show the user the (update guidance message). |

### Example code

```js
import { TossAuth } from "@apps-in-toss/web-framework";

const button = document.querySelector("#sign-button");

button.addEventListener("click", async () => {
  try {
    await TossAuth.sign({ txId: "f2e1a6df..." });
  } catch (error) {
    console.error(error);
  }
});
```


---

# Agent Instructions
This documentation is published with GitBook. GitBook is the documentation platform designed so that both humans and AI agents can read, navigate, and reason over technical content effectively. Learn more at gitbook.com.

## Querying This Documentation
If you need additional information that is not directly available in this page, you can query the documentation dynamically by asking a question.

Perform an HTTP GET request on the current page URL with the `ask` query parameter, and the optional `goal` query parameter:

```
GET https://developers-apps-in-toss.toss.im/documentation/api-and-sdk-en/sdk/domains-api/tossauth/tossauth.sign.md?ask=<question>&goal=<endgoal>
```

`ask` is the immediate question: it should be specific, self-contained, and written in natural language.
`goal` is optional and describes the broader end goal you are ultimately trying to accomplish on behalf of the user. GitBook uses it to tailor the answer towards what is most useful for that goal.

The response will contain a direct answer to the question and relevant excerpts and sources from the documentation.

Use this mechanism when the answer is not explicitly present in the current page, you need clarification or additional context, or you want to retrieve related documentation sections.
